{% trans_default_domain 'City' %}

{% set cost = 50 * 2**lord.generals|length %}
{% set canRecruit = cost <= lord.city.StorageCount('gold') %}

<li onmouseover="showHint(this,
        '{{ 'header.recruitGeneral' | trans }}',
        '{{ 'messages.recruitGeneral.tooltip' | trans({'%price%' : cost, '%icon%' : '<img src=\"'~asset('img/icons/small/res_gold.gif')~'\"/>'}) }}')"
    onmouseout="hideHint()"
>
    <div id="recruitGeneral" data-cost="{{ cost }}"
         {% if canRecruit %}onclick="recruitGeneral();"{% endif %} {% if not canRecruit %}class="disable"{% endif %}>
        <img src="{{ asset('/img/icons/a_gen.png') }}" alt="Recruit General Action">
        <span>{{ 'header.recruitGeneral' | trans }}</span>
    </div>
</li>